/***********************************************************
 * $Id: fancywin32helper.h 1832 2017-06-20 14:55:11Z fancylibs $
 *
 * FancyLibs
 *
 * Copyright (C) 2009-2011 ev-i GmbH & IBCL e.U.
 * Copyright (C) 2011-2013 ITEG IT-Engineers GmbH
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 ************************************************************/

#ifndef FANCY_WIN32_HELPER_H_
#define FANCY_WIN32_HELPER_H_

//#include <fancyobject.h>

#include <fancybase.h>
#include <string>

#ifdef WIN32
#include <windows.h>
#endif

namespace Fancy {

namespace Win32Helper {

#ifdef WIN32

std::string FANCYBASE_API translateHResult(HRESULT res);

#endif

} // namespace Win32Helper

} // namespace Fancy

#endif /* FANCY_WIN32_HELPER_H_ */
